Activities
Visit
Visit detail: the list row + contact_phone, contact_title, action_done_at, action_result, nogeo_reason (why no location was handled — phone call, back-dated entry…), geo_private (there is a location but it's hidden from you). The response also has prev (the company's previous 6 visits), firm_geo (company location lat, lng, src — visit · manual, at), can_set_firm (whether you may change the company location), url.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: Visits / ActivitiesScope:
crm.readPath parameters
idintegerrequiredVisit id.
Errors
| HTTP | error | Meaning |
|---|---|---|
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/visits/{id} \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/visits/{id}", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/visits/{id}",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response